DomainSocketFactory.PathState (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.shortcircuit, class: DomainSocketFactory, enum: PathState

Package org.apache.hadoop.hdfs.shortcircuit

# Enum Class DomainSocketFactory.PathState

java.lang.Object
java.lang.Enum<DomainSocketFactory.PathState>
org.apache.hadoop.hdfs.shortcircuit.DomainSocketFactory.PathState

All Implemented Interfaces:
  `Serializable`, `Comparable<DomainSocketFactory.PathState>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.shortcircuit.DomainSocketFactory

public static enum DomainSocketFactory.PathState extends Enum<DomainSocketFactory.PathState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SHORT_CIRCUIT_DISABLED`
  `UNUSABLE`
  `VALID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getUsableForDataTransfer()`
  `boolean`
  `getUsableForShortCircuit()`
  `static DomainSocketFactory.PathState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DomainSocketFactory.PathState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNUSABLE

    public static final DomainSocketFactory.PathState UNUSABLE

  - ### SHORT_CIRCUIT_DISABLED

    public static final DomainSocketFactory.PathState SHORT_CIRCUIT_DISABLED

  - ### VALID

    public static final DomainSocketFactory.PathState VALID

- ## Method Details

  - ### values

    public static DomainSocketFactory.PathState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DomainSocketFactory.PathState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getUsableForDataTransfer

    public boolean getUsableForDataTransfer()

  - ### getUsableForShortCircuit

    public boolean getUsableForShortCircuit()